Main Page Modules Class Hierarchy Alphabetical List Compound List File List Compound Members File Members

# include/FLAC/file_decoder.h File Reference

This module contains the functions which implement the file decoder. More...

`#include "export.h"`
`#include "seekable_stream_decoder.h"`

Go to the source code of this file.

## Compounds

struct | FLAC__FileDecoder

## Typedefs

typedef FLAC__StreamDecoderWriteStatus(* | FLAC__FileDecoderWriteCallback )(const FLAC__FileDecoder *decoder, const FLAC__Frame *frame, const FLAC__int32 *const buffer[], void *client_data)
typedef void(* | FLAC__FileDecoderMetadataCallback )(const FLAC__FileDecoder *decoder, const FLAC__StreamMetadata *metadata, void *client_data)
typedef void(* | FLAC__FileDecoderErrorCallback )(const FLAC__FileDecoder *decoder, FLAC__StreamDecoderErrorStatus status, void *client_data)

## Enumerations

enum | FLAC__FileDecoderState { FLAC__FILE_DECODER_OK = 0, FLAC__FILE_DECODER_END_OF_FILE, FLAC__FILE_DECODER_ERROR_OPENING_FILE, FLAC__FILE_DECODER_MEMORY_ALLOCATION_ERROR, FLAC__FILE_DECODER_SEEK_ERROR, FLAC__FILE_DECODER_SEEKABLE_STREAM_DECODER_ERROR, FLAC__FILE_DECODER_ALREADY_INITIALIZED, FLAC__FILE_DECODER_INVALID_CALLBACK, FLAC__FILE_DECODER_UNINITIALIZED }

## Functions

FLAC__FileDecoder * | FLAC__file_decoder_new ()
void | FLAC__file_decoder_delete (FLAC__FileDecoder *decoder)
FLAC__bool | FLAC__file_decoder_set_md5_checking (FLAC__FileDecoder *decoder, FLAC__bool value)
FLAC__bool | FLAC__file_decoder_set_filename (FLAC__FileDecoder *decoder, const char *value)
FLAC__bool | FLAC__file_decoder_set_write_callback (FLAC__FileDecoder *decoder, FLAC__FileDecoderWriteCallback value)
FLAC__bool | FLAC__file_decoder_set_metadata_callback (FLAC__FileDecoder *decoder, FLAC__FileDecoderMetadataCallback value)
FLAC__bool | FLAC__file_decoder_set_error_callback (FLAC__FileDecoder *decoder, FLAC__FileDecoderErrorCallback value)
FLAC__bool | FLAC__file_decoder_set_client_data (FLAC__FileDecoder *decoder, void *value)
FLAC__bool | FLAC__file_decoder_set_metadata_respond (FLAC__FileDecoder *decoder, FLAC__MetadataType type)
FLAC__bool | FLAC__file_decoder_set_metadata_respond_application (FLAC__FileDecoder *decoder, const FLAC__byte id[4])
FLAC__bool | FLAC__file_decoder_set_metadata_respond_all (FLAC__FileDecoder *decoder)
FLAC__bool | FLAC__file_decoder_set_metadata_ignore (FLAC__FileDecoder *decoder, FLAC__MetadataType type)
FLAC__bool | FLAC__file_decoder_set_metadata_ignore_application (FLAC__FileDecoder *decoder, const FLAC__byte id[4])
FLAC__bool | FLAC__file_decoder_set_metadata_ignore_all (FLAC__FileDecoder *decoder)
FLAC__FileDecoderState | FLAC__file_decoder_get_state (const FLAC__FileDecoder *decoder)
FLAC__SeekableStreamDecoderState | FLAC__file_decoder_get_seekable_stream_decoder_state (const FLAC__FileDecoder *decoder)
FLAC__StreamDecoderState | FLAC__file_decoder_get_stream_decoder_state (const FLAC__FileDecoder *decoder)
const char * | FLAC__file_decoder_get_resolved_state_string (const FLAC__FileDecoder *decoder)
FLAC__bool | FLAC__file_decoder_get_md5_checking (const FLAC__FileDecoder *decoder)
unsigned | FLAC__file_decoder_get_channels (const FLAC__FileDecoder *decoder)
FLAC__ChannelAssignment | FLAC__file_decoder_get_channel_assignment (const FLAC__FileDecoder *decoder)
unsigned | FLAC__file_decoder_get_bits_per_sample (const FLAC__FileDecoder *decoder)
unsigned | FLAC__file_decoder_get_sample_rate (const FLAC__FileDecoder *decoder)
unsigned | FLAC__file_decoder_get_blocksize (const FLAC__FileDecoder *decoder)
FLAC__bool | FLAC__file_decoder_get_decode_position (const FLAC__FileDecoder *decoder, FLAC__uint64 *position)
FLAC__FileDecoderState | FLAC__file_decoder_init (FLAC__FileDecoder *decoder)
FLAC__bool | FLAC__file_decoder_finish (FLAC__FileDecoder *decoder)
FLAC__bool | FLAC__file_decoder_process_single (FLAC__FileDecoder *decoder)
FLAC__bool | FLAC__file_decoder_process_until_end_of_metadata (FLAC__FileDecoder *decoder)
FLAC__bool | FLAC__file_decoder_process_until_end_of_file (FLAC__FileDecoder *decoder)
FLAC__bool | FLAC__file_decoder_process_remaining_frames (FLAC__FileDecoder *decoder)
FLAC__bool | FLAC__file_decoder_seek_absolute (FLAC__FileDecoder *decoder, FLAC__uint64 sample)

## Variables

const char *const | FLAC__FileDecoderStateString []

## Detailed Description

This module contains the functions which implement the file decoder.

See the detailed documentation in the file decoder module.